%%
%% LaTeX class file for fax documents
%%
%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ims_invoice}[2000/6/16 Invoice Class]
%
% Needs graphics
\usepackage{graphicx}
\usepackage{pslatex}
%
% Default font size
\renewcommand\normalsize{\fontsize{8pt}{10pt}\selectfont}
%
%%%%%%%%%%%%%
% 8.5x11
\setlength{\paperwidth}{8.5in}
\setlength{\paperheight}{11in}
%
% Shove left .5 inch
\setlength{\oddsidemargin}{-0.5in}
\setlength{\evensidemargin}{-0.5in}
%
% Push up .5 in
\setlength{\topmargin}{-1in}
\setlength{\headsep}{0.6in}
%
% Printable area
\setlength{\textwidth}{7.5in}
\setlength{\textheight}{8.5in}
%
% Header
\setlength{\headheight}{1in}
%
%%%%%%%%%%%%%
%
%%%%%%%%%%%%%
% Create hooks in to the header
\newcommand*{\Client}[1]	{\renewcommand*{\IMS@client}{#1}}
\newcommand*{\Address}[1]	{\renewcommand*{\IMS@address}{#1}}
\newcommand*{\City}[1]		{\renewcommand*{\IMS@city}{#1}}
\newcommand*{\State}[1]		{\renewcommand*{\IMS@state}{#1}}
\newcommand*{\Zip}[1]		{\renewcommand*{\IMS@zip}{#1}}
\newcommand*{\Invoice}[1]	{\renewcommand*{\IMS@invoice}{#1}}
%\newcommand*{\}[1]	{\renewcommand*{\IMS@}{#1}}
%\newcommand*{\}[1]	{\renewcommand*{\IMS@}{#1}}
% Set defaults
\newcommand*{\IMS@client}{None}
\newcommand*{\IMS@address}{None}
\newcommand*{\IMS@city}{None}
\newcommand*{\IMS@state}{None}
\newcommand*{\IMS@zip}{None}
\newcommand*{\IMS@invoice}{None}
% Only preamble
\@onlypreamble{\Client}
\@onlypreamble{\Address}
\@onlypreamble{\City}
\@onlypreamble{\State}
\@onlypreamble{\Zip}
\@onlypreamble{\Invoice}
% A magic box
\newcommand*{\InfoBox}{%
\fbox{%
\fbox{%
\parbox{4in}{%
\IMS@client\\
\IMS@address \\
\IMS@city, \IMS@state \hspace*{0.25in} \IMS@zip
\begin{center}
Invoice No. \IMS@invoice
\end{center}
}}}}
%%%%%
% Set up header data
\newcommand*{\ps@imshead}{%
\renewcommand*{\@oddhead}{%
\begin{minipage}{\textwidth}\normalfont%
\begin{flushleft}
\parbox{3in}{%
Steve Slaven \\
210 S 7th Ave \#204 \\
Yakima, WA  98902 \\
}
\end{flushleft}
\end{minipage}%
}
\renewcommand*{\@evenhead}{\@oddhead}
%
\renewcommand*{\@oddfoot}{}
\renewcommand*{\@evenfoot}{\@oddfoot}
}
%
% Activate our page headers
\pagestyle{imshead}


