#!/usr/bin/perl

use Site::Template;

$t = Site::Template -> new();
$t -> custom_escape( \&escape );
$t -> default_escape( 'custom' );
$t -> quickvars( 1 );
$t -> quickvars_prefix( '<%' );
$t -> quickvars_postfix( '%>' );

$t -> load( 'invoice.tmpl' );

$c = {
	name => 'Foo client',
	address => '1100 misc. way',
	city => 'LinuxLand',
	state => 'GNU',
	zip => '12321'
};

$i = {
	invoiceid => '50012A',
	opendate => '11/12/2001',
	status => 'Due (net 30 days)',
	description => 'Database programming stuffs for DBID#32!55*'
};

$l = [ {
	type => 'Programming',
	description => 'Added field "Foo" to database',
	rate => '35',
	hours => '2',
	value => '70',
	hourly => 1
}, {
	type => 'Installation',
	description => 'Installed new data stuffs',
	rate => 150,
	hours => 0,
	value => 150,
	hourly => 0
} ];

$t -> register( client => $c,
		invoice => $i,
		lines => $l );
$t -> display();

sub escape
{
	my $input = shift;
	$input =~ s/([\$\&\%\#\_\{\}\[\]])/\\$1/g;
	return( $input );
}

